Ubuntu 7.04 Feisty FawnにMonoDevelop 0.18をインストールしたときの手順。 パッケージは用いずソースからインストールした。 またインストール先は/usr/localとした。

§1 MonoDevelopが必要とするアセンブリのインストール

MonoDevelopが必要とするアセンブリをあらかじめインストールしておく。 必要になるものは以下のアセンブリ。

  • MonoDevelopが必要とするアセンブリ
    • monodoc
    • mono-tools
    • Mono Addins
    • GtkSharp
    • GnomeSharp
    • GeckoSharp
    • gtksourceview-sharp

§2 コンパイル時に必要なパッケージのインストール

コンパイル時に必要となるパッケージをあらかじめインストールしておく。 必要になるものは以下のパッケージ。

  • MonoDevelopが必要とするパッケージ
    • gettext

§3 MonoDevelopのインストール

wget http://go-mono.com/sources/monodevelop/monodevelop-0.18.1.tar.bz2
tar -xvf monodevelop-0.18.1.tar.bz2
cd monodevelop-0.18.1/
./configure

configureの結果を確認する。

Configuration summary

   * Installation prefix = /usr/local
   * C# compiler = /usr/local/bin/gmcs
   * Mono class library development extensions: yes
   * Version control support: yes
   *   Providers:
   *     Subversion: yes
   * ASP.NET project support: yes
   * Web References: yes
   * C/C++ project support: yes
   * GtkSourceView2: no
   * Platform bindings: GNOME

問題が無ければ、make、make installする。

make
sudo make install

インストールが完了したら、monodevelop -Vでmonodevelopの出力を確認する。

# monodevelop -V
MonoDevelop.IdeApplication  0.18.0.0 - MonoDevelop Team 2004-2005, Mike Krueger 2000-2003
The MonoDevelop IDE

http://monodevelop.com
Authors: MonoDevelop Team

§3.1 "Inotify watch limit is too low"と表示されて起動できない場合

Inotify Watches Limit - MonoDevelopに書かれている対処法にしたがって、/etc/sysctl.confに次の一行を追記する。

fs.inotify.max_user_watches=16384

追記したら一度再起動して変更を反映する。